Manifying
PERL6(1)

NAME
The Rakudo Perl 6 Compiler targets the Parrot Virtual Machine

SYNOPSIS
    perl6 [switches] [--] [programfile] [arguments]

    perl6 -e 'say "Hello World !"'

DESCRIPTION
This is the Perl 6 compiler for Parrot, called "Rakudo Perl 6", or "Rakudo" for short. It's still fairly primitive, but it is rapidly expanding. See "STATUS" in docs for a list of what has been implemented thus far.

The following options are available:

  -c                   check syntax only (runs BEGIN and CHECK blocks)
  -e program           one line of program
  -h, --help           display this help text
  --target=[stage]     specify compilation stage to emit
  -t, --trace=[flags]  enable trace flags
  --encoding=[mode]    specify string encoding mode
  -o, --output=[name]  specify name of output file
  -v, --version        display version information

  Where to get help or answers to questions
There are several mailing lists, IRC channels, and wikis available with help for Perl 6 and Rakudo on Parrot. Figuring out the right one to use is often the biggest battle. Here are some rough guidelines:

If you have a question about Perl 6 syntax or the right way to approach a problem using Perl 6, you probably want the "perl6-users@perl.org" mailing list. This list is primarily for the people who want to use Perl 6 to write programs, as opposed to those who are implementing or developing the Perl 6 language itself.

Questions about the Rakudo compiler for Parrot and the Parrot compiler tools can go to "perl6-compiler@perl.org". Discussion about Parrot itself generally takes place on "parrot-porters@perl.org".

The Parrot and Rakudo development team tend to hang out on IRC a fair bit, either on "irc.perl.org/#parrot" or "irc.freenode.net/#perl6".

There are also Perl 6 and Parrot wikis, found at <http://www.perlfoundation.org/perl6/index.cgi> <http://www.perlfoundation.org/parrot/index.cgi>

There is also a Rakudo related blog at <http://rakudo.org/>, and a Parrot blog at <http://parrotblog.org/>.

  Reporting bugs
Common things that are known to have problems or not work in Rakudo <http://www.perlfoundation.org/perl6/index.cgi?rakudo_feature_status>

Bug reports should be sent to "rakudobug@perl.org" with the moniker [BUG] (including the brackets) at the start of the subject so that it gets appropriately tagged in the RT system (https://rt.perl.org/rt3/). Please include or attach any sample source code that exhibits the bug, and if appropriate identify the svn revision number of the code that you're working from. There's no need to cc: the perl6-compiler mailing list, as the RT system will handle this on its own.

  Submitting patches
If you have a patch that fixes a bug or adds a new feature, please submit it to "rakudobug@perl.org" with the moniker [PATCH] (including the brackets) at the start of the subject line. We'll generally accept patches in any form if we can get them to work, but unified diff from the svn command is greatly preferred. In general this means you can execute "svn diff >foo.patch" from the languages/perl6/ directory and just attach the foo.patch file.

ENVIRONMENT
The following environment variables affect the execution of perl6:

PERL6LIB
    A list of directories in which to look for Perl6 libraries